Subject: Re: [bug#36542] [PATCH 1/6] gnu: network-manager: Fix plugin loading problem.
From: Jelle Licht <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Tomáš Čech <[email-masked]>, [email-masked]
Date: Wed, 17 Jul 2019 11:30:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed to master the 5 commits preceding
d376129f0b2a163671fb67578d497769b6051f95.

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> I haven’t tested it yet, but the whole series LGTM.  Really happy this
> is finally fixed!
>
> Jelle Licht <[email-masked]> skribis:
>
>> From: Tomáš Čech <[email-masked]>
>>
>> * gnu/packages/patches/nm-plugin-path.patch: New file.
>> * gnu/local.mk (dist_patch_DATA): Add it.
>> * gnu/packages/gnome.scm (network-manager)[source](patches): New field.
>
> [...]
>
>> +++ b/gnu/packages/patches/nm-plugin-path.patch
>> @@ -0,0 +1,51 @@
>> +From d3026a6d331298003ccc6cd9d2e20dcb7fa9ae1d Mon Sep 17 00:00:00 2001
>> +From: =?UTF-8?q?Tom=C3=A1=C5=A1=20=C4=8Cech?= <[email-masked]>
>> +Date: Wed, 3 Jul 2019 13:31:54 +0200
>> +Subject: [PATCH] respect NM_VPN_PLUGIN_DIR
>> +
>> +---
>> + src/vpn/nm-vpn-manager.c | 14 ++++++++++++++
>
> Is this patch meant to be submitted upstream?  Perhaps it would be worth
> mentioning it here.

This makes sense! I am currently in contact with the people running the
show behind nm, but I do not expect this to be upstreamed quickly.
>
> Thank you!
>
> Ludo’.